MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025092Open CASCADE[OCCT] OCCT:Data Exchangepublic2014-07-18 16:072014-11-11 12:57
Reporterika 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025092: COMPSOLIDs are not exported to STEP
DescriptionNo geometry translated into STEP file during COMPSOLID translation.
TagsNo tags attached.
Test case numberbugs step(014) bug25092
Attached Files? file icon compsolid.brep (132,466 bytes) 2014-07-18 16:07

- Relationships

-  Notes
(0030248)
git (administrator)
2014-07-18 16:25

Branch CR25092 has been created by ika.

SHA-1: 1400d0c2c9de5d93ce7b17df7fff56b681167193
(0030249)
ika (developer)
2014-07-18 16:27

Now COMPSOLID is translated like a COMPOUND of SOLIDs.

Branch CR25092 is ready to be reviewed.
Dear GKA,
Please review.
(0030250)
gka (developer)
2014-07-18 16:39

Branch CR25092 is ready to be tested
(0030369)
mkv (tester)
2014-07-22 17:51

Dear BugMaster,

Branch CR25092 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 1400d0c2c9de5d93ce7b17df7fff56b681167193

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 196 (196 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25092-master-occt/Debian60-64/bugs/step/bug25092.html [^]
http://occt-tests/CR25092-master-occt/Windows-32-VC10/bugs/step/bug25092.html [^]
bugs step(014) bug25092: OK

Testing on Linux:
Total MEMORY difference: 352153264 / 351968492
Total CPU difference: 48330.32 / 46305.24

Testing on Windows:
Total MEMORY difference: 239308940 / 239178976
Total CPU difference: 30172.4375 / 35090.328125

There are no differences in images found by testdiff.
(0030370)
git (administrator)
2014-07-22 17:52

Branch CR25092 has been updated by mkv.

SHA-1: 52c5a3d3caa9403715e684a2ecc7e19e899a151e
(0030441)
git (administrator)
2014-07-28 16:42

Branch CR25092 has been deleted by inv.

SHA-1: 52c5a3d3caa9403715e684a2ecc7e19e899a151e

- Related Changesets
occt: master 846c92e0
Timestamp: 2014-07-24 09:06:30
Author: ika
Committer: bugmaster
Details ] Diff ]
0025092: COMPSOLIDs are not exported to STEP

Now COMPSOLID is translated like a set of SOLIDs.

Test cases for issue CR25092
mod - src/STEPControl/STEPControl_ActorWrite.cxx Diff ] File ]
add - tests/bugs/step/bug25092 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-18 16:07 ika New Issue
2014-07-18 16:07 ika Assigned To => ika
2014-07-18 16:07 ika File Added: compsolid.brep
2014-07-18 16:25 git Note Added: 0030248
2014-07-18 16:27 ika Note Added: 0030249
2014-07-18 16:27 ika Assigned To ika => gka
2014-07-18 16:27 ika Status new => resolved
2014-07-18 16:39 gka Note Added: 0030250
2014-07-18 16:39 gka Status resolved => reviewed
2014-07-21 13:04 mkv Assigned To gka => mkv
2014-07-22 17:51 mkv Note Added: 0030369
2014-07-22 17:52 git Note Added: 0030370
2014-07-22 17:52 mkv Test case number => bugs step(014) bug25092
2014-07-22 17:52 mkv Assigned To mkv => bugmaster
2014-07-22 17:52 mkv Status reviewed => tested
2014-07-25 14:45 bugmaster Changeset attached => occt master 846c92e0
2014-07-25 14:45 bugmaster Status tested => verified
2014-07-25 14:45 bugmaster Resolution open => fixed
2014-07-28 16:42 git Note Added: 0030441
2014-08-05 14:28 bugmaster Target Version => 6.8.0
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:57 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker